/** \file version.h Macros for printing the version string. */

#include "git-version.h"

/** Version text printed by all executables if -V was given. */
#define VERSION_TEXT(prefix) "para_" prefix " " PACKAGE_VERSION \
	" (" GIT_VERSION ": " CODENAME ")" "\n" \
	"Copyright (C) 2013 Andre Noll\n" \
	"This is free software with ABSOLUTELY NO WARRANTY." \
	" See COPYING for details.\n" \
	"Report bugs to <maan@systemlinux.org>.\n"

/** Print out \p VERSION_TEXT and exit if version flag was given. */
#define HANDLE_VERSION_FLAG(_prefix, _args_info_struct) \
	if (_args_info_struct.version_given) { \
		printf("%s", VERSION_TEXT(_prefix)); \
		exit(EXIT_SUCCESS); \
	}

